Hi,

test-unit 2.4.9 has been released.

Web: http://test-unit.rubyforge.org/#test-unit
Install: gem install test-unit

Description:

test-unit is an improved version of Test::Unit bundled in
Ruby 1.8.x.

Ruby 1.9.x bundles minitest not Test::Unit. Test::Unit
bundled in Ruby 1.8.x had not been improved but unbundled
Test::Unit (test-unit) is improved actively.


About this release:

This release is a bug fix release.

This release also has an experimental feature. It's for
an alternative of testrb. You can use the following command
line instead of testrb:

  % ruby -r test-unit -e run test/test*.rb

I want to hear about the interface. (Is it OK or dirty?)


Changes: http://test-unit.rubyforge.org/test-unit/en/file.news.html#2-4-9

h2(#2-4-9). 2.4.9 - 2012-06-03

It's a bug fix release.

h3. Improvements

  * @Test::Unit.run?@ ->
    @Test::Unit::AutoRunner.need_auto_run?@. @Test::Unit.run?@ is marked
    as deprecated but it is still available.
  * [experimental] Added top level "run" method for @"ruby -rtest-unit -e
    run test/test_*.rb"@. Is this API OK or dirty?
  * Made failure output more readable on no color mode.
  * Supported showing ASCII-8BIT diff in failure message.
  * [ui][console] Supported @ENV["TERM"] == "xterm-256color"@ as color
    available terminal.
    [GitHub#26] [Reported by Michael Grosser]
  * [ui][console] Supported "-256color" suffix @ENV["TERM"]@ terminal
    as 256 color supported terminal.

h3. Fixes

  * Fixed a bug that @--workdir@ doesn't work.
  * Consumed processed command line parameters in @ARGV@ as @--help@
    says.
    [RubyForge#29554] [Reported by Bob Saveland]
  * Added missing @require "test/unit/diff"@.
    [GitHub#25] [Reported by Stephan Kulow]

h3. Thanks

  * Bob Saveland
  * Stephan Kulow
  * Michael Grosser

Thanks,
--
kou